Update webhook settings
curl --request PUT \
--url 'https://api.hubapi.com/app-webhooks/2026-09/{appId}/settings?hapikey=' \
--header 'Content-Type: application/json' \
--data '
{
"targetUrl": "<string>",
"throttling": {
"maxConcurrentRequests": 123
}
}
'import requests
url = "https://api.hubapi.com/app-webhooks/2026-09/{appId}/settings?hapikey="
payload = {
"targetUrl": "<string>",
"throttling": { "maxConcurrentRequests": 123 }
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({targetUrl: '<string>', throttling: {maxConcurrentRequests: 123}})
};
fetch('https://api.hubapi.com/app-webhooks/2026-09/{appId}/settings?hapikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/app-webhooks/2026-09/{appId}/settings?hapikey=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'targetUrl' => '<string>',
'throttling' => [
'maxConcurrentRequests' => 123
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/app-webhooks/2026-09/{appId}/settings?hapikey="
payload := strings.NewReader("{\n \"targetUrl\": \"<string>\",\n \"throttling\": {\n \"maxConcurrentRequests\": 123\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.hubapi.com/app-webhooks/2026-09/{appId}/settings?hapikey=")
.header("Content-Type", "application/json")
.body("{\n \"targetUrl\": \"<string>\",\n \"throttling\": {\n \"maxConcurrentRequests\": 123\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/app-webhooks/2026-09/{appId}/settings?hapikey=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"targetUrl\": \"<string>\",\n \"throttling\": {\n \"maxConcurrentRequests\": 123\n }\n}"
response = http.request(request)
puts response.read_body{
"createdAt": "2023-11-07T05:31:56Z",
"targetUrl": "<string>",
"throttling": {
"maxConcurrentRequests": 123
},
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Subscriptions
Update webhook settings
Update webhook settings for the specified app.
PUT
/
app-webhooks
/
2026-09
/
{appId}
/
settings
Update webhook settings
curl --request PUT \
--url 'https://api.hubapi.com/app-webhooks/2026-09/{appId}/settings?hapikey=' \
--header 'Content-Type: application/json' \
--data '
{
"targetUrl": "<string>",
"throttling": {
"maxConcurrentRequests": 123
}
}
'import requests
url = "https://api.hubapi.com/app-webhooks/2026-09/{appId}/settings?hapikey="
payload = {
"targetUrl": "<string>",
"throttling": { "maxConcurrentRequests": 123 }
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({targetUrl: '<string>', throttling: {maxConcurrentRequests: 123}})
};
fetch('https://api.hubapi.com/app-webhooks/2026-09/{appId}/settings?hapikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/app-webhooks/2026-09/{appId}/settings?hapikey=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'targetUrl' => '<string>',
'throttling' => [
'maxConcurrentRequests' => 123
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/app-webhooks/2026-09/{appId}/settings?hapikey="
payload := strings.NewReader("{\n \"targetUrl\": \"<string>\",\n \"throttling\": {\n \"maxConcurrentRequests\": 123\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.hubapi.com/app-webhooks/2026-09/{appId}/settings?hapikey=")
.header("Content-Type", "application/json")
.body("{\n \"targetUrl\": \"<string>\",\n \"throttling\": {\n \"maxConcurrentRequests\": 123\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/app-webhooks/2026-09/{appId}/settings?hapikey=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"targetUrl\": \"<string>\",\n \"throttling\": {\n \"maxConcurrentRequests\": 123\n }\n}"
response = http.request(request)
puts response.read_body{
"createdAt": "2023-11-07T05:31:56Z",
"targetUrl": "<string>",
"throttling": {
"maxConcurrentRequests": 123
},
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
Path Parameters
The unique identifier of the app whose webhook settings are to be updated.
Body
application/json
Response
successful operation
The date and time when the webhook settings were created, in ISO 8601 format.
The URL to which the webhook events will be sent. It is a string.
Show child attributes
Show child attributes
The date and time when the webhook settings were last updated, in ISO 8601 format.
Last modified on September 9, 2026
Was this page helpful?